Summary: IBM Courier in T1 encoding, Czech characters revisited.
Name: courier
Version: 1.0
Release: 2
Copyright: distributable
Group: Applications/Publishing/TeX
Requires: tetex
Source: courier.tar.gz
Packager: Jan "Yenya" Kasprzak <kas@muni.cz>

%description
This package contains pfa, afm, tfm and vf files for typesetting Czech text
in IBM Courier fonts. These tfm and vf files are different
from those in teTeX package -- accents on some characters were
revisited to match the Czech typographical rules better.

%prep

%setup -n courier

%build
/bin/true

%install

test -d /usr/lib/texmf/texmf/fonts/vf/ibm/courier \
	|| mkdir -p /usr/lib/texmf/texmf/fonts/vf/ibm/courier
cp vf/*.vf /usr/lib/texmf/texmf/fonts/vf/ibm/courier
test -d /usr/lib/texmf/texmf/fonts/tfm/ibm/courier \
	|| mkdir -p /usr/lib/texmf/texmf/fonts/tfm/ibm/courier
cp tfm/*.tfm /usr/lib/texmf/texmf/fonts/tfm/ibm/courier
test -d /usr/lib/texmf/texmf/fonts/type1/ibm/courier \
	|| mkdir -p /usr/lib/texmf/texmf/fonts/type1/ibm/courier
cp type1/*.pfa /usr/lib/texmf/texmf/fonts/type1/ibm/courier
cp COPYRIGHT /usr/lib/texmf/texmf/fonts/type1/ibm/courier
test -d /usr/lib/texmf/texmf/fonts/afm/ibm/courier \
	|| mkdir -p /usr/lib/texmf/texmf/fonts/afm/ibm/courier
cp afm/*.afm /usr/lib/texmf/texmf/fonts/afm/ibm/courier

%post
texhash
echo -n "Updating psfonts.map ..."
awk '	$1 == "pcrr0" { next }
	$1 == "pcrro0" { next }
	$1 == "pcrb0" { next }
	$1 == "pcrbo0" { next }
	{ print }
END {
	print "pcrr0	Courier			<cour.pfa"
	print "pcrro0	Courier-Oblique		<couri.pfa"
	print "pcrb0	Courier-Bold		<courb.pfa"
	print "pcrbo0	Coureier-BoldItalic	<courbi.pfa"
}' </usr/lib/texmf/texmf/dvips/psfonts.map >/usr/lib/texmf/texmf/dvips/psfonts.map.new
mv /usr/lib/texmf/texmf/dvips/psfonts.map /tmp/psfonts.map
mv /usr/lib/texmf/texmf/dvips/psfonts.map.new /usr/lib/texmf/texmf/dvips/psfonts.map
echo " Done. Original psfonts.map saved as /tmp/psfonts.map."

%postun
/usr/bin/texhash
echo -n "Updating psfonts.map ..."
awk '   $1 == "pcrr0" { next }
        $1 == "pcrro0" { next }
        $1 == "pcrb0" { next }
        $1 == "pcrbo0" { next }
        { print }
' </usr/lib/texmf/texmf/dvips/psfonts.map >/usr/lib/texmf/texmf/dvips/psfonts.map.new
mv /usr/lib/texmf/texmf/dvips/psfonts.map /tmp/psfonts.map
mv /usr/lib/texmf/texmf/dvips/psfonts.map.new /usr/lib/texmf/texmf/dvips/psfonts.map
echo " Done. Original psfonts.map saved as /tmp/psfonts.map."

%files
/usr/lib/texmf/texmf/fonts/tfm/ibm/courier/pcrb0.tfm
/usr/lib/texmf/texmf/fonts/tfm/ibm/courier/pcrbo0.tfm
/usr/lib/texmf/texmf/fonts/tfm/ibm/courier/pcrboq.tfm
/usr/lib/texmf/texmf/fonts/tfm/ibm/courier/pcrbq.tfm
/usr/lib/texmf/texmf/fonts/tfm/ibm/courier/pcrr0.tfm
/usr/lib/texmf/texmf/fonts/tfm/ibm/courier/pcrro0.tfm
/usr/lib/texmf/texmf/fonts/tfm/ibm/courier/pcrroq.tfm
/usr/lib/texmf/texmf/fonts/tfm/ibm/courier/pcrrq.tfm
/usr/lib/texmf/texmf/fonts/vf/ibm/courier/pcrboq.vf
/usr/lib/texmf/texmf/fonts/vf/ibm/courier/pcrbq.vf
/usr/lib/texmf/texmf/fonts/vf/ibm/courier/pcrroq.vf
/usr/lib/texmf/texmf/fonts/vf/ibm/courier/pcrrq.vf
/usr/lib/texmf/texmf/fonts/afm/ibm/courier/pcrb0.afm
/usr/lib/texmf/texmf/fonts/afm/ibm/courier/pcrbo0.afm
/usr/lib/texmf/texmf/fonts/afm/ibm/courier/pcrr0.afm
/usr/lib/texmf/texmf/fonts/afm/ibm/courier/pcrro0.afm
/usr/lib/texmf/texmf/fonts/type1/ibm/courier/cour.pfa
/usr/lib/texmf/texmf/fonts/type1/ibm/courier/courb.pfa
/usr/lib/texmf/texmf/fonts/type1/ibm/courier/courbi.pfa
/usr/lib/texmf/texmf/fonts/type1/ibm/courier/couri.pfa
/usr/lib/texmf/texmf/fonts/type1/ibm/courier/COPYRIGHT
